
Redmine - Patch #37525

Update Pg to 1.5

2022-07-28 15:06 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.0   

Description

https://rubygems.org/gems/pg

Related issues:

Has duplicate Redmine - Defect #39137: redmine with ruby 3.0 and up cannot be... Closed

Associated revisions

Revision 21750 - 2022-08-01 09:59 - Go MAEDA

Update Pg to 1.4 (#37525).

Patch by Yuichi HARADA.

Revision 22268 - 2023-06-29 06:07 - Go MAEDA

Update Pg to 1.5 (#37525).

History

#1 - 2022-08-01 09:00 - Yuichi HARADA

I tested on PostgreSQL 10.21 with the following patch. There were no related test failures with Pg gem.

diff --git a/Gemfile b/Gemfile

index 37fe583757..61c359a445 100644

--- a/Gemfile

+++ b/Gemfile

@@ -67,7 +67,7 @@ if File.exist?(database_file)

       when 'mysql2'

         gem "mysql2", "~> 0.5.0", :platforms => [:mri, :mingw, :x64_mingw]

       when /postgresql/

-        gem "pg", "~> 1.2.2", :platforms => [:mri, :mingw, :x64_mingw]

+        gem "pg", "~> 1.4.2", :platforms => [:mri, :mingw, :x64_mingw]

       when /sqlite3/

         gem "sqlite3", "~> 1.4.0", :platforms => [:mri, :mingw, :x64_mingw]

       when /sqlserver/

#2 - 2022-08-01 10:37 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#3 - 2023-06-29 06:08 - Go MAEDA

- Subject changed from Update Pg to 1.4 to Update Pg to 1.5

Update Pg to 1.5 in r22268.

#4 - 2023-10-03 00:01 - Holger Just

- Has duplicate Defect #39137: redmine with ruby 3.0 and up cannot be installed due to unsupported pg-1.2.3. Need to upgrade to at least pg-1.3.x

added
